<label>Favor de asignar un horario a cada dia</label><br>
    <label>Día</label>
    <select name="miselect" [(ngModel)]="diaGeneral">
        <option value="1" >Lunes</option>
        <option value="2">Martes</option>
        <option value="3">Miercoles</option>
        <option value="4">Jueves</option>
        <option value="5">Viernes</option>
        <option value="6">Sabado</option>
        <option value="7">Domingo</option>
    </select>
    <label>Hora inicial</label>
    <select name="miselect" [(ngModel)]="horaIGeneral">
        <option value="0:00">No se labora</option>
        <option value="7:00">7:00</option>
        <option value="8:00">8:00</option>
        <option value="9:00">9:00</option>
        <option value="10:00">10:00</option>
        <option value="11:00">11:00</option>
        <option value="12:00">12:00</option>
        <option value="13:00">13:00</option>
        <option value="14:00">14:00</option>
        <option value="15:00">15:00</option>
        <option value="16:00">16:00</option>
        <option value="17:00">17:00</option>
        <option value="18:00">18:00</option>
        <option value="19:00">19:00</option>
        <option value="20:00">20:00</option>
        <option value="21:00">21:00</option>
        <option value="22:00">22:00</option>
    </select>
    <label>Hora final</label>
    <select name="miselect" [(ngModel)]="horaFGeneral">
        <option value="0:00">No se labora</option>
        <option value="7:00">7:00</option>
        <option value="8:00">8:00</option>
        <option value="9:00">9:00</option>
        <option value="10:00">10:00</option>
        <option value="11:00">11:00</option>
        <option value="12:00">12:00</option>
        <option value="13:00">13:00</option>
        <option value="14:00">14:00</option>
        <option value="15:00">15:00</option>
        <option value="16:00">16:00</option>
        <option value="17:00">17:00</option>
        <option value="18:00">18:00</option>
        <option value="19:00">19:00</option>
        <option value="20:00">20:00</option>
        <option value="21:00">21:00</option>
        <option value="22:00">22:00</option>
    </select>

        <div class="row">
            <button type="button" mat-raised-button color="primary" (click)="agregar()">
              Agregar
            </button>
          </div>
          <br>
          <div class="row">
            <button type="button" mat-raised-button color="primary" (click)="agregarUsuario()">
              Finalizar
            </button>
          </div>
    <table class="tftable" border="1">
    <tr><th>Horario/Día</th><th>Lunes</th><th>Martes</th><th>Miercoles</th><th>Jueves</th><th>Viernes</th><th>Sabado</th><th>Domingo</th></tr>
    <tr><td>7:00</td> <td> <label  *ngIf="horaIL === '7:00'">X</label> </td><td> </td><td> </td><td> </td><td> </td><td> </td><td> </td></tr>
    <tr><td>8:00</td> <td><label  *ngIf="horaIL === '8:00' || horaFL === '8:00' || horaFL === '9:00'">X</label> </td><td> </td><td> </td><td> </td><td> </td><td> </td><td> </td></tr>
    <tr><td>9:00</td> <td><label  *ngIf="horaIL === '9:00'  || horaFL === '9:00'">X</label> </td><td> </td><td> </td><td> </td><td> </td><td> </td><td> </td></tr>
    <tr><td>10:00 </td> <td><label  *ngIf="horaIL === '10:00'  || horaFL === '10:00'">X</label> </td><td> </td><td> </td><td> </td><td> </td><td> </td><td> </td></tr>
    <tr><td>11:00 </td  ><td><label  *ngIf="horaIL === '11:00'  || horaFL === '11:00'">X</label> </td><td> </td><td> </td><td> </td><td> </td><td> </td><td> </td></tr>
    <tr><td>12:00</td>  <td><label  *ngIf="horaIL === '12:00'  || horaFL === '12:00'">X</label> </td><td> </td><td> </td><td> </td><td> </td><td> </td><td> </td></tr>
    <tr><td>13:00 </td> <td> </td><td> </td><td> </td><td> </td><td> </td><td> </td><td> </td></tr>
    <tr><td>14:00 </td> <td> </td><td> </td><td> </td><td> </td><td> </td><td> </td><td> </td></tr>
    <tr><td>15:00 </td> <td> </td><td> </td><td> </td><td> </td><td> </td><td> </td><td> </td></tr>
    <tr><td>16:00 </td> <td> </td><td> </td><td> </td><td> </td><td> </td><td> </td><td> </td></tr>
    <tr><td>17:00 </td> <td> </td><td> </td><td> </td><td> </td><td> </td><td> </td><td> </td></tr>
    <tr><td>18:00 </td> <td> </td><td> </td><td> </td><td> </td><td> </td><td> </td><td> </td></tr>
    <tr><td>19:00 </td> <td> </td><td> </td><td> </td><td> </td><td> </td><td> </td><td> </td></tr>
    <tr><td>20:00 </td> <td> </td><td> </td><td> </td><td> </td><td> </td><td> </td><td> </td></tr>
    <tr><td>21:00 </td> <td> </td><td> </td><td> </td><td> </td><td> </td><td> </td><td> </td></tr>
    <tr><td>22:00</td>  <td> </td><td> </td><td> </td><td> </td><td> </td><td> </td><td> </td></tr>
    </table>
    
    